﻿using Infragistics.Win.UltraWinGrid;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace KeyActionMapping
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.ultraGrid1.DataSource = GridInfo.GetAppointments();
            this.ultraGrid1.DataMember = "Owners";
        }

        private void ultraGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            switch (e.KeyData)
            {
                case Keys.Alt | Keys.N:
                    DoWork(ref e);
                    break;
                case Keys.Alt | Keys.P:
                    //another method
                    break;
                default:
                    break;
            }
        }

        private void DoWork(ref KeyEventArgs e)
        {
            //The index of the child to which you add a row
            int childBandIndex = this.ultraGrid1.ActiveRow.Band.Index + 1;

            if (this.ultraGrid1.ActiveRow.HasChild())
            {
                this.ultraGrid1.DisplayLayout.Bands[childBandIndex].AddNew();
            }
            else
            {
                MessageBox.Show("This band has no child bands!");
            }
            e.Handled = true;
        }
    }
}
